package com.steerinfo.baseinfo.meterbasecar.service;

import com.steerinfo.baseinfo.meterbasedriver.model.MeterBaseDriver;
import com.steerinfo.framework.controller.RESTfulResult;
import com.steerinfo.framework.service.IBaseService;
import com.steerinfo.baseinfo.meterbasecar.model.MeterBaseCar;
import com.steerinfo.meterwork.meterworkrailwayactual.model.MeterWorkRailwayActual;
import com.steerinfo.util.CommonPage;
import io.micrometer.core.instrument.Meter;

import java.util.Date;
import java.math.BigDecimal;
import java.util.HashMap;
import java.util.List;

/**
 * MeterBaseCar服务接口：
 * @author generator
 * @version 1.0-SNAPSHORT 2022-01-10 10:09
 * 类描述
 * 修订历史：
 * 日期：2022-01-10
 * 作者：generator
 * 参考：
 * 描述：MeterBaseCar服务接口
 * @see null
 * @Copyright 湖南视拓信息技术股份有限公司. All rights reserved.
 */
public interface IMeterBaseCarService extends IBaseService<MeterBaseCar, String>{
    String checkandadd(MeterBaseCar model);

    String Recovery(List<MeterBaseCar> models);

    RESTfulResult getCarActual(CommonPage<MeterBaseCar> oci);
    
    String abolish(List<MeterBaseCar> models);

    String checkandupdate(String id,MeterBaseCar model);

    RESTfulResult batchAddCar(List<HashMap> models);

    List<MeterBaseCar> queryForNoPage(HashMap<String, Object> parmas);

    RESTfulResult getUnitByCar(String CarNo);
    RESTfulResult updateCar(MeterBaseCar model);
}